summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2011-04-14 23:08:35 +0400
committerIgor Pashev <pashev.igor@gmail.com>2011-04-14 23:08:35 +0400
commit3a5f7265e91470c5c3ce96000872732abd09cf88 (patch)
tree8ef3dcf0e00d413c6829aa27699e3fe5970dcb97
parent1f19eb46e509c1a2e21cc8ac5f974b706289a131 (diff)
downloadebuilds-3a5f7265e91470c5c3ce96000872732abd09cf88.tar.gz
New upstream release
-rw-r--r--sci-libs/cuba/Manifest3
-rw-r--r--sci-libs/cuba/cuba-2.1-r1.ebuild57
2 files changed, 59 insertions, 1 deletions
diff --git a/sci-libs/cuba/Manifest b/sci-libs/cuba/Manifest
index 540e5d1..4301a24 100644
--- a/sci-libs/cuba/Manifest
+++ b/sci-libs/cuba/Manifest
@@ -1,3 +1,4 @@
AUX shared.patch 4438 RMD160 69ae644305896797a91fffcbd4dcb30629be99bd SHA1 8c3a766c1352a7de18ce1f567b167590eabbec9b SHA256 4c7644563350c7db5d72a8e6164e74755e7cb451f25d06910849e6ef17b23a35
-DIST Cuba-2.1.tar.gz 311020 RMD160 20365f7711d0e7b56d3270886c6e186e209f8cf0 SHA1 0e551cca0be039f2df1fd71c2c61d499762249bd SHA256 18a71f79ed2a9587b91ffd1090a8a98f0270bdbf2f9bf0a3f12c32174e8dfdc0
+DIST Cuba-2.1.tar.gz 308756 RMD160 0b7872bdea7815fb096e18cb25ef42628ac15930 SHA1 214bb49a0a0fb364789bc9bf83012bc128e59960 SHA256 8af26e8d0400be8d8811e2bf7d6a7605b9d8d2fc370a3f5f6c7e788d964d7853
+EBUILD cuba-2.1-r1.ebuild 1053 RMD160 df64f9a7557b89a2d0ebb0041142f6a8d4435f35 SHA1 55bd17b22d7c814fb3f2f5b07d0c8de6d533d7b0 SHA256 12e72665c042ee7a774cf3a5daa5987326ac181e67287e924fd942487aa6ae5f
EBUILD cuba-2.1.ebuild 1063 RMD160 9cdac675ebb1e7f880098579b545672494f0bea9 SHA1 5a5461d20bec78b66f77c768229db5505aa5b1b2 SHA256 792c91044c4c9d9fe34c819b40fa81c2b44cba64055d84757df23a784632aba4
diff --git a/sci-libs/cuba/cuba-2.1-r1.ebuild b/sci-libs/cuba/cuba-2.1-r1.ebuild
new file mode 100644
index 0000000..7450a29
--- /dev/null
+++ b/sci-libs/cuba/cuba-2.1-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+EAPI="2"
+
+DESCRIPTION="A library for multidimensional numerical integration"
+HOMEPAGE="http://www.feynarts.de/cuba/"
+LICENSE="LGPL"
+SRC_URI="http://www.feynarts.de/cuba/Cuba-${PV}.tar.gz"
+S=${WORKDIR}/Cuba-${PV}
+
+KEYWORDS="~amd64 ~x86"
+IUSE="+static-libs +shared-libs doc examples"
+SLOT="0"
+
+
+src_prepare() {
+ if use shared-libs; then
+ epatch "${FILESDIR}/shared.patch"
+ elif use !static-libs; then
+ eerror "Must USE shared-libs or static-libs"
+ die
+ fi
+}
+
+src_configure() {
+ econf
+}
+
+src_compile() {
+ if [ -f Makefile ] || [ -f GNUmakefile ] || [ -f makefile ]; then
+ emake lib || die "emake failed"
+ else
+ die "No Makefile"
+ fi
+}
+
+#src_test() {
+# emake check
+#}
+
+
+src_install() {
+ use static-libs && dolib.a libcuba.a
+ use shared-libs && dolib.so libcuba.so*
+ use doc && dodoc cuba.pdf ChangeLog
+ if use examples; then
+ insinto /usr/share/doc/${PF}
+ doins -r demo
+ fi
+ insinto /usr/include
+ doins cuba.h
+}
+